2007-09-21 Olav Vitters <ovitters@src.gnome.org>

	* MAINTAINERS: correct userid.

2007-09-05  Frederic Ruaudel <grumz@grumz.net>
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	Fix a crash when trying to import a config without "Main" profile

	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	Fix problem with the profile parsing check.

	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	Add an error message when trying to import a config file more
	recent than the current version of n-a can deal with.

2007-09-02  Frederic Ruaudel <grumz@grumz.net>
	* libnautilus-actions/nautilus-actions-config-gconf-reader.h:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-gconf.h:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config.c: Fix and cleaned
	the GConf and internal signal callbacks notification system.

	* utils/nautilus-actions-check-actions-change.c:
	* utils/Makefile.am: Add an utility tool to check the functionnality
	and ease debug of the GConf Reader system used in the Nautilus 
	extension.

	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* plugin/nautilus-actions.c: Fix the function to get hash keys
	from profiles hash table.

2007-08-26  Frederic Ruaudel <grumz@grumz.net>
	* nact/nact-import-export.c: Remove the import option for 
	old xml config file format.

	* nact/nautilus-actions-config.glade: Fix bug when clicking the About
	button for the first time, both the about and the edit action dialog 
	appears.

	* nact/nautilus-actions-config.glade: Remove the import option for 
	old xml config file format.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c:
	* nact/nact.c: Fix grammar and syntax error in translatable string. 
	Make GnomeVFS syntax homogeneous. Remove formating string in glade
	from translation (space only strings). Add some i18n notes.

2007-05-30  Frederic Ruaudel <grumz@grumz.net>
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* nact/nact-profile-editor.c:
	* nact/nact-editor.c:
	* nact/nact-editor.h:
	* nact/nact.c: Change the way the profile names are managed to add
	the existence of a description name for better readability in Nact.
	It allows the use of UTF8 names in the profiles list.

	* nact/nact-editor.c:
	* nact/nact.c: Fix some missing/buggy resources freeing.

	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	Fix action profile saving in GConf.

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c: Replace the "duplicate" profile button by
	a "copy" and a "paste" button, so it is now possible to copy a 
	profile from one action to another.

	* nact/nact-editor.c: Update the "save action" code

2007-05-25  Frederic Ruaudel <grumz@grumz.net>
	* nact/nautilus-actions-config.glade:
	* nact/nact-profile-editor.c: Fix the problem which make the legend 
	dialog modal (Bug #337542) by changing the Legend button into a 
	toggle button. The Legend dialog can't be closed directly.

	* nact/nact-editor.c: Implement renaming of a profile

	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Add func
	to rename a profile.

	* nact/nact-editor.c: implement deletion of a profile

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nact-editor.c: Change the definition of the function 
	nautilus_actions_config_action_add_profile () to manage error
	when the profile name already exists.

	* nact/nact-profile-editor.c: Implement duplication of a profile

2007-05-24  Frederic Ruaudel <grumz@grumz.net>
	* nact/nautilus-actions-config.glade: Update the callbacks of all
	the profile editor dialog field.

	* nact/nact-profile-editor.c:
	* nact/nact-profile-editor.h:
	* nact/nact-editor.c:
	* nact/nact-utils.c:
	* nact/nact-utils.h: Implement addition and edition of the profile
	in Nact.

	* libnautilus-actions/nautilus-actions-config.h:
	* libnautilus-actions/nautilus-actions-config.c: Add functions to
	manage profiles more easily.

2007-05-23  Frederic Ruaudel <grumz@grumz.net>
	* nact/nact-editor.c: Move profile edition code to the new files
	nact/nact-profile-editor.[ch].

	* nact/nact-profile-editor.c:
	* nact/nact-profile-editor.h: Create these new files to manage
	profile edition code.

	* nact/Makefile.am: Add nact/nact-profile-editor.[ch] to the list of 
	file to compile for nact.


2007-05-22  Frederic Ruaudel <grumz@grumz.net>
	* nact/nact-editor.h:
	* nact/nact-editor.c: Try to set the legend dialog as non-modal (Bug 
	#337542). Start to implement the profile management gui part.
	Comment obsolete code to make Nact run for the tests.

2007-05-17  Frederic Ruaudel <grumz@grumz.net>
	* nact/nautilus-actions-config.glade: Update callback func names of the
	profiles edition button.

	* libnautilus-actions/nautilus-actions-config.c: Fix a bug when trying
	to add a new profile to an uninitialized actions'profiles hash.

2007-05-16  Frederic Ruaudel <grumz@grumz.net>
	* nact/nautilus-actions-config.glade: Update About dialog info
	and refactor the interface to take care of the future "profiles"
	feature.

	* nact/nact-utils.h:
	* nact/nact.c: Add about dialog when compiling with GTK+ >= 2.6

	* po/POTFILES.in: Remove obsolete convertion program code file
	from pot files.

	* libnautilus-actions/nautilus-actions-config.c: Change the get
	profile function to get the default one when NULL is passed as 
	parameter to profile_name.

	* nact/nact-import-export.c: Remove import code to make Nact 
	compile (due to XML format backward compatibility removal).

	* nact/nact-editor.c:
	* utils/nautilus-actions-new-config.c: Fix code to deal with the 
	new profile support (only default profile supported)

	* utils/Makefile.am:
	* utils/nautilus-actions-convert.c: Remove this useless program
	since backward compat with 0.x xml config file format is not supported 
	anymore.

2007-05-15  Frederic Ruaudel <grumz@grumz.net>
	* libnautilus-actions/nautilus-actions-config-schema-reader.c: Fix bad
	plural forms by using ngettext to ease i18n (Bug #436375).

2007-04-24 Brian Pepple <bpepple@fedoraproject.org>
	* icons/Makefile.am (update-icon-cache): fix gtk-update-icon-cache for
	uninstall-hook (Bug #433078).

2007-04-10  Frederic Ruaudel <grumz@grumz.net>
	* po/POTFILES.in: Remove old xml format parser file from pot
	files (Bug #427301)

2007-04-04  Frederic Ruaudel <grumz@grumz.net>
	* plugin/nautilus-actions-test.c:
	* plugin/nautilus-actions-test.h:
	* plugin/nautilus-actions.c: Implement the "profile" feature into
	the nautilus extension part. For each action it checks for the
	first profile which validate the conditions.

2007-04-03  Frederic Ruaudel <grumz@grumz.net>
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config-xml.h:
	* libnautilus-actions/Makefile.am: Remove old 0.x n-a XML file 
	format support.

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Fix compilation error
	following the big "profile feature" rewrite in libnautilus-actions.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h: Remove
	infos about a new schema key "profiles" which is not needed anymore.

	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Continue to
	implement the profile system in the action config, to be able to handle 
	multiple conditions/parameters for the same item name (eg. Open in 
	terminal, on files, on folders, on desktop).

2007-03-30  Frederic Ruaudel <grumz@grumz.net> - branch to 2.x
	* configure.in: Starting V2.x developpement version. Stable version
	is now in nautilus-actions-1.x-maintenance branch. Update the version 
	numbers.

	* libnautilus-actions/nautilus-actions-config.h:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c: Start to
	implement the profile system in the action config, to be able to handle 
	multiple conditions/parameters for the same item name (eg. Open in terminal,
	on files, on folders, on desktop).

2007-03-02  Frederic Ruaudel <grumz@grumz.net> 

	* configure.in: Fix Bug #413834 by applying patch submited
	by christopher taylor <christophth@tiscali.it>. Now the new 32x32
	pixmap compile correctly.

2006-11-24  Frederic Ruaudel <grumz@grumz.net>

	* utils/Makefile.am: Fix Bug #378890 by applying patch submited
	by Fryderyk Dziarmagowski <freetz@gmx.net>. Now it's possible
	to compile n-a with --as-needed passed to LDFLAGS.

2006-11-13  Frederic Ruaudel <grumz@grumz.net>

	* icons/16x16/nautilus-actions.svg:
	* icons/22x22/nautilus-actions.svg:
	* icons/scalable/nautilus-actions.svg: Icons relicencing
	from CC-by-SA to GPL for compatibility with n-a license.
	(thanks to Ulisse Perusin)

	* icons/Makefile.am:
	* icons/32x32/Makefile.am:
	* icons/32x32/Makefile.in:
	* icons/32x32/nautilus-actions.png:
	* icons/32x32/nautilus-actions.svg: Adding 32x32 format
	according to the new Tango and GIT standards (thanks to Ulisse
	Perusin)

2006-09-12  Frederic Ruaudel <grumz@grumz.net>

	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nact-import-export.c: Fixed problem with subsequent schema 
	importation which seems to fails with an "already existing config" 
	error (Bug #354623)

	* nact/nautilus-actions-config.glade: Fix problem with "duplicate"
	button sensitiveness when running Nact without any action configured.
	(Bug #355451 - apply patch from Deji Akingunola)

2006-07-18  Frederic Ruaudel <grumz@grumz.net> 1.4

	* plugin/nautilus-actions-utils.c: Change the creation of the %M
	parameter list by getting the base folder of each file instead of just
	the one of the first file for each. This is to deal with SavedSearch folder
	in nautilus >= 2.14 which can have file from different folder gathered in the
	same nautilus window. (Bug reported by David Winick)

2006-06-29  Frederic Ruaudel <grumz@grumz.net>

	* po/POTFILES.in: Add new files containing translatable strings

2006-06-27  Frederic Ruaudel <grumz@grumz.net>

	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.h:
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config-xml.h:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c:
	* nact/nact-editor.c:
	* nact/nact-import-export.c:
	* nact/nact.c: Add better error handling in Nact with error dialog
	and detailed error messages especially when importing new config.

2006-06-26  Frederic Ruaudel <grumz@grumz.net>

	* nact/nact-editor.c:
	* nact/nact-utils.c: Find a better way to fix pango parsing
	problem for xml special chars with the glib function 
	g_markup_printf_escaped ().

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c:
	* nact/nact-import-export.c:
	* nact/nact-utils.c:
	* nact/nact-utils.h:
	* nact/nact.c:
	* nact/nact.h: Move nautilus_actions_display_error() function
	in nact-utils.c, change their old call with g_error() as it was
	used to display Glade parsing error and define it to display a 
	Gtk error dialog to the user. Then add some error handling in
	the import and icon loading part.

	* nact/nact-editor.c: Fix the icon preview. When the string
	was invalid, the icon widget wasn't hidden so it shows the last
	valid icon rendered. Now the icon is correctly hidden.

	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c:
	* nact/nact-editor.c:
	* nact/nact.c: Free GError values after their usage with
	g_error_free().

	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	Fix the problem with the "Export" function
	when one of an action's settings contains a xml special char (&, 
	<, >, ...) (Bug #345143)

	* nact/nact-utils.c: Fix the problem with pango parsing when trying
	to render the parameter's example string when it contains an xml
	special char (&, <, >, ...).

2006-06-23  Frederic Ruaudel <grumz@grumz.net>

	* plugin/nautilus-actions.c:
	* plugin/nautilus-actions.h: Optimize the extension by updating
	the config list only when they changed and not each time Nautilus
	ask for the list of items.

2006-06-16  Frederic Ruaudel <grumz@grumz.net>

	* configure.in:
	* plugin/nautilus-actions.c: Fix Bug #325584 which make nautilus
	updates his popup menus when a config changes in nautilus-actions.
	This requires a patch applied to Nautilus (see Bug #339273 comitted
	in Nautilus' CVS Head).

2006-05-24  Frederic Ruaudel <grumz@grumz.net>

	* libnautilus-actions/Makefile.am: Fix missing libxml2 
	library declaration (Bug #342799, patch from christopher 
	taylor <christophth@tiscali.it>).

2006-04-19  Frederic Ruaudel <grumz@grumz.net> 1.2

	* plugin/nautilus-actions-test.c:
	* plugin/nautilus-actions-utils.c: Fix problem with crash
	when selecting a mounted cdrom on the desktop with 
	Nautilus 2.14.1 (Bug #338931)

	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* utils/nautilus-actions-new-config.c: Fix some missing change 
	concerning the implementation of the management of the mimetype 
	patterns and the case insensitive filename patterns (Bug #325581 
	and Bug #329260).

2006-04-18  Frederic Ruaudel <grumz@grumz.net>

	* nact/nact-editor.c: Fix a SegFault when setting 
	empty patterns in Nact's edit dialog.

	* libnautilus-actions/nautilus-actions-config.c:
	* plugin/nautilus-actions-test.c: Finish implementing
	the management of the mimetype patterns and the case 
	insensitive filename patterns (Bug #325581 and Bug #329260).

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	Fixed typos in the new strings (Bug #338773)

2006-04-13  Frederic Ruaudel <grumz@grumz.net>

	* configure.in: Update the version of n-a and the config file.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nact-editor.c:
	* nact/nautilus-actions-config.glade: Start to manage the mimetype
	patterns and the case insensitive filename patterns (Bug #325581 
	and Bug #329260).

	* icons: Add new Tango style icons created by Ulisse

	* AUTHORS: Update Contributors list

	* configure.in:
	* Makefile.am:
	* nact/Makefile.am:
	* nact/nact.c:
	* nact/nact.desktop.in:
	* nact/nautilus-actions-config.glade: Make theme-friendly icons
	installation to achieve GnomeGoal#2 (see 
	http://live.gnome.org/GnomeGoals/AppIcon for more details)

	* nact/nautilus-actions-icon.png:
	* nact/nautilus-actions-icon.xcf: Remove old icons

2006-04-10  Frederic Ruaudel <grumz@grumz.net>

	* po/LINGUAS:
	* configure.in: Move the ALL_LINGUAS list into a separated file named
	po/LINGUAS to make translators' life easier (see 
	http://live.gnome.org/GnomeGoals/PoLinguas for more details)

	* configure.in: Remove 'eu' (Basque) to ALL_LINGUAS because there is
	no corresponding po file (Bug #336215)

2006-03-13  Runa Bhattacharjee <runa@bengalinux.org>

	* configure.in: Added "bn" (Bengali) to ALL_LINGUAS.

2006-03-02  Inaki Larranaga  <dooteo@euskalgnu.org>

	* configure.in: Added 'eu' (Basque) to ALL_LINGUAS.

2006-02-08  Frederic Ruaudel <grumz@grumz.net> 1.0

	* configure.in: Update the version number to 1.0
	* nact/nact.c: The action list in the main dialog of Nact is now 
	alphabetically sorted (Bug #326699)

2006-02-07  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-01-31  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* nact/nautilus-actions-config.glade:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c: Fix bug #327027 (Spelling/grammar fixes)

	* config/Makefile.in: (removed)
	* config/config_newaction.schemas.in: (removed)
	* Makefile.am:
	* configure.in: Removed the config file that add the config tool in all contextual
	menu because it doesn't make sense since it is not related with the selected files.

	* nact/nautilus-actions-config.glade: Remove the possibility to reorder items in
	main dialog of Nact (Bug #326699) since it is not possible yet to keep track of this 
	state.

2006-01-29  Josep Puigdemont i Casamajó  <josep.puigdemont@gmail.com>

	* configure.in: Added 'ca' to ALL_LINGUAS.

2006-01-27  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_HK" "zh_TW" to ALL_LINGUAS.

2006-01-26  Lukas Novotny  <lukasnov@cvs.gnome.org>

	* configure.in: Added cs to ALL_LINGUAS.

2006-01-22  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2006-01-08  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nact.c: Fix a bug with the stock icon of the
	Edit button in Nact with GTK+2.4 (thanks to wwp for the report).

2006-01-06  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nautilus-actions-config.glade:
	* nact/nact.c: Implement Feature #325524 which allow an action to be
	duplicated to facilitate the edition of several quite same config.
	
	* nact/nact-editor.c: Fix a GTK warning about the function
	gtk_combo_box_entry_set_text_column() when opening the edit
	dialog more than once.

2005-12-28  Yair Hershkovitz  <yairhr@gmail.com>

	* configure.in: Added 'he' (Hebrew) to ALL_LINGUAS.

2005-12-26  Ilkka Tuohela <hile@iki.fi>

	* configure.in: Added 'fi' (Finnish) to ALL_LINGUAS.

2005-12-24  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added 'ja' (Japanese) to ALL_LINGUAS.

2005-12-20  Frederic Ruaudel <grumz@grumz.net> 

	* configure.in: Added 'vi' to ALL_LINGUAS.

	* nact/nautilus-actions-config.glade: Apply the new 
	notebook layout to fix the problem with 800x600 screen
	and fix some strings (Bugzilla bug #324593).

	* config/config_newaction.schemas.in.in:
	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c:
	Fix some typos in strings (Bugzilla bug #324593).


2005-12-19  Ankit Patel  <ankit644@yahoo.com>

	* configure.in: Added 'gu' to ALL_LINGUAS.

2005-12-16  Lasse Bang Mikkelsen  <lbm@fatalerror.dk>

	* configure.in: Added Danish translation to ALL_LINGUAS.

2005-12-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-12-09  Amanpreet Singh Alam <amanpreetalam@yahoo.com>

	* configure.in: Punjabi (pa) Languague is added

2005-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb + no to ALL_LINGUAS.

2005-12-06  Žygimantas Beručka  <zygis@gnome.org>

	* configure.in: Added Lithuanian to ALL_LINGUAS.

2005-12-03  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2005-12-01  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nact-editor.c:
	* nact/nact-prefs.c:
	* nact/nact-prefs.h:
	* nact/nact-utils.c:
	* nact/nact.c:
	* nact/nact.h:
	* plugin/nautilus-actions-test.c:
	* plugin/nautilus-actions-utils.c:
	* plugin/nautilus-actions.c:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c: Patch from Tom Parker that removes
	all compilation warnings (Bug #133).

2005-11-26  Funda Wang  <fundawang@linux.net.cn>

	* configure.in: Added Simplified Chinese translation.

2005-11-25  Frederic Ruaudel <grumz@grumz.net> 

	* configure.in: Patch from Tom Parker to add check for presence of libuuid
	in the configure script (Bug #132).

2005-11-24  Frederic Ruaudel <grumz@grumz.net> 0.99

	* plugin/nautilus-actions.c (get_verified_icon_name)
	(nautilus_actions_create_menu_item): Fix the test of the icon. Replace 
	empty icon string by NULL to avoid having an ugly icon instead.

	* plugin/nautilus-actions-test.c (nautilus_actions_test_validate):
	Fix the test of the '*' pattern that made n-a matches everything when
	using multiple pattern syntax.

	* config/config_newaction.xml.in:
	* config/Makefile.am: Remove the old config file installation

	* autogen.sh:
	* configure.in:
	* config/Makefile.am: Add support for GConf schema installation

	* config/config_newaction.schemas.in.in: Set the uuid to a non-random
	string so it can be recognizable.

2005-11-23  Frederic Ruaudel <grumz@grumz.net> 

	* Makefile.am:
	* configure.in: Add --enable-commandline-tool option to configure
	to make nautilus-actions compile on systems with Glib 2.4 like FC3.
	Glib 2.4 doesn't implement Commandline parser API.

2005-11-18  Frederic Ruaudel <grumz@grumz.net> 

	* po/POTFILES.in: Add nact-import-export.c

	* po/nautilus-actions.pot:
	* po/*.po: Update i18n strings.

	* nact/Makefile.am:
	* nact/nact-utils.h:
	* nact/nact.c:
	* nact/nact.h:
	* nact/nautilus-actions-config.glade:
	* nact/nact-import-export.c:
	* nact/nact-import-export.h: Implement the import/export
	of n-a configurations in nact.

	* nact/nact-prefs.c:
	* nact/nact-prefs.h: Add preferences for the new import/export
	dialog in nact.

	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	Fix the bug from the first implementation

	* libnautilus-actions/nautilus-actions-config.c: Remove some
	debug messages.

2005-11-17  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config-schema.c:
	* libnautilus-actions/nautilus-actions-config-schema.h:
	* libnautilus-actions/nautilus-actions-config-schema-writer.c:
	* libnautilus-actions/nautilus-actions-config-schema-writer.h:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c: Rename NautilusActionsConfigSchema
	GObject into NautilusActionsConfigSchemaWriter

	* libnautilus-actions/Makefile.am:
	* libnautilus-actions/nautilus-actions-config-schema-reader.c:
	* libnautilus-actions/nautilus-actions-config-schema-reader.h:
	Create a GObject to read config in GConf schema description file 
	format

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	Add some #define to describe the GConf XML elements

	* nact/nautilus-actions-config.glade:
	Create the Import/Export dialog layout

2005-11-09  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nact-editor.c (create_stock_icon_model):
	(sort_stock_ids): Sort the gtk stock item in the dropdown list 
	in nact edit dialog.

	* plugin/nautilus-actions.c (nautilus_actions_get_background_item):
	(nautilus_actions_menu_provider_iface_init):
	Apply patch from palfrey to add support for action in the background
	of Nautilus's windows (Feature #98). It is applied automatically as if
	we would have selected the directory the window represents.

2005-11-08  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nact-editor.c (create_stock_icon_model): 
	Now only display the stock icon that will be accepted by nautilus
	in the dropdown list.

	* plugin/nautilus-actions.c (nautilus_actions_create_menu_item):
	Work around the problem of the ugly nautilus default icon when the
	image file doesn't exists.

2005-11-07  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions.c (nautilus_actions_get_file_items): 
	Add error checking if GObject is not of good type.
	
	* libnautilus-actions/nautilus-actions-config-gconf-reader.c
	(get_action_uuid_from_key): Fix extraction of uuid from GConf key

	* libnautilus-actions/nautilus-actions-config-gconf-reader.c
	(actions_changed_cb): Avoid removal of already deleted action

2005-10-31  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h
	(nautilus_actions_config_action_set_uuid): Add a function
	to set the uuid and conf_section fields of an action.
	(nautilus_actions_config_action_new_default): Give the default
	version number as default value for the version fields of an action

	* libnautilus-actions/nautilus-actions-config-gconf-reader.c
	(actions_changed_cb): implement the Gconf notification handler

	* plugin/nautilus-actions.c:
	* plugin/nautilus-actions.h: Replace the usage of Gconf object
	by the usage of the GconfReader object.

	* nact/nact-editor.c:
	* nact/nact-editor.h:
	* nact/nact.c: Replace the usage of the Gconf object by the usage
	of the GConfWriter object.

	* libnautilus-actions/nautilus-actions-config-gconf-reader.c:
	* libnautilus-actions/nautilus-actions-config-gconf-reader.h:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.c:
	* libnautilus-actions/nautilus-actions-config-gconf-writer.h:
	* libnautilus-actions/Makefile.am: Create two new GObject which
	are derived from nautilus-actions-config-gconf. The reader
	implement the notification stuff and the writer implement
	the modification stuff.

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-gconf.h:
	Modified to integrate the new derived GObject : GConfReader
	and GConfWriter.

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-gconf.h:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	Moved the signals from GConf object to Config object

2005-10-30  Frederic Ruaudel <grumz@grumz.net> 
	
	* libnautilus-actions/nautilus-actions-config-gconf.h:
	Add the GET_CLASS macro.

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	(nautilus_actions_config_gconf_class_init): Fix indices in
	signals initilization stuff
	
2005-10-28  Frederic Ruaudel <grumz@grumz.net> 

	* config/config_newaction.schemas.in.in: Update it with the 
	same GConf key description than those set in the code of the 
	GConf schema GObject and rename the action "Manage Action" instead
	of 'New Action...'

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-schema.c:
	* nact/nact-prefs.c:
	* nact/nact-utils.c:
	* nact/nact.desktop.in:
	* nact/nautilus-actions-config.glade:
	* po/POTFILES.in:
	* po/bg.po:
	* po/de.po:
	* po/es.po:
	* po/fr.po:
	* po/nautilus-actions.pot:
	* utils/nautilus-actions-new-config.c: Review all strings for i18n and make 
	them coherent, use standard term from GNOME Documentation word list
	and start to adapt the code to make translators life easier according to
	http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html

	* nact/nact-editor.c: Remove a useless test that test if label are 
	duplicated. Now we have the uuid that make sure of the uniqness of actions

2005-10-27  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c:
	* nact/nact-utils.c:
	* nact/nact-utils.h: Implement the example string in nact editor dialog

	* plugin/nautilus-actions-utils.c (nautilus_actions_utils_parse_parameter):
	Fix a problem of duplicate string if no token found in the param string

2005-10-26  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config.c 
	(nautilus_actions_config_add_action):
	Remove a duplicate action_dup.

	* utils/nautilus-actions-new-config.c (main):
	Use the new action function with default values set to
	avoid problem with unset unused values.

	* nact/nautilus-actions-config.glade (LegendDialog):
	* plugin/nautilus-actions-utils.c (nautilus_actions_utils_parse_parameter):
	Remove the %p parameter that was confusing with the %d one.

2005-10-25  Frederic Ruaudel <grumz@grumz.net> 

	* TODO: Add list of important things to do before next release

	* libnautilus-actions/nautilus-actions-config.c:
	(nautilus_actions_config_add_action) : After call to save_action
	add the new action in the hash table.
	(nautilus_actions_config_remove_action) : After call to remove_action
	remove the action from the hash table.

	* nact/nact.c (delete_button_clicked_cb): add call to
	fill_actions_list to update the list when removing an action.

2005-10-24  Rodrigo Moya <rodrigo@novell.com>

	* nact/nact.c (fill_actions_list): new function to reload the
	actions list.
	(add_button_clicked_cb, edit_button_clicked_cb): if there were
	changes in the action editor, reload the actions list.
	(setup_actions_list): move the actions list fillin to fill_actions_list.

2005-10-23  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nautilus-actions-config.glade:
	* po/bg.po:
	* po/de.po:
	* po/es.po:
	* po/fr.po:
	* po/nautilus-actions.pot:
	* po/POTFILES.in: Update i18n stuff

	* nact/nact-editor.c: Fix init of scheme list when add a
	new action and manage basenames pattern load/save in the edit dialog

	* libnautilus-actions/nautilus-actions-config.c: Set empty
	basename and scheme list valid if empty.

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c: Add a preview icon toward the icon 
	combobox in nact edit dialog.

	* nact/nact-editor.c: Implement Add/Remove/Edit of schemes
	in nact list view.

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c: Put back the tooltip in the edit
	dialog of nact and add add/remove button to manage scheme list.

	* nact/nact-editor.c: Finnish implementing the scheme list
	(save in gconf and prefs) and fix some compilation warnings.

2005-10-22  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nautilus-actions-config.glade:
	* nact/nact-editor.c: Start implementing the scheme list 
	in the edit dialog of nact.

	* nact/nact-editor.c: Fix the add/edit dialog title in 
	relation with the task done.

	* nact/nact-editor.c:
	* nact/nact-utils.h:
	* nact/nautilus-actions-config.glade:
	* nact/nact.c: Implement the preference API and manage the 
	filechooser dialog for the selection of the icon and command path.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* configure.in: Add a global variable to define the GConf
	basedir of n-a.

	* nact/Makefile.am:
	* nact/nact-prefs.c:
	* nact/nact-prefs.h: Add GConf managed preferences in nact

	* nact/nact.c: Fix the segfault when trying to edit/delete
	an existing config.

	* nact/nact-editor.c: Fix access to the menu icon entry
	when saving the dialog content.

	* utils/nautilus-actions-tools-utils.c:
	* utils/nautilus-actions-tools-utils.h:
	* configure.in:
	* utils/Makefile.am:
	* utils/nautilus-actions-convert.c:
	* utils/nautilus-actions-new-config.c: Fix some
	compatibility problem with glib < 2.8. g_file_set_contents() wasn't
	recognized.

2005-10-21  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nact.c: Fix the display of the existing config in nact's
	main dialog by using uuid instead of label as index.

	* libnautilus-actions/nautilus-actions-config-schema.c: Fix
	the schema generation by adding the list_type attribute for list
	entries.

	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Add a
	function to create a NautilusActionsConfigAction object with
	correct default values.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-schema.c:
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h:
	* nact/nact-editor.c:
	* nact/nact.c:
	* plugin/nautilus-actions.c:
	* utils/nautilus-actions-new-config.c: Finish support for a icon 
	in the menu item (Feature #28)

	* nact/nact-editor.c:
	* nact/nact.c: Remove global variables and replace with
	the utility functions. Fix some gtk warnings.

	* nact/nact-utils.c:
	* nact/nact-utils.h:
	* nact/Makefile.am: Add some utility function to manage
	Glade widgets more easily.

	* nact/nact-editor.c:
	* nact/nact.c: Refactor the code to take care of the new utilities
	functions and of the refactored glade file. Start adding support for 
	a menu icon.

	* nact/nautilus-actions-config.glade: Refactor the glade
	file to be more HIG compliant and add missing widgets. Transfers
	signals definition into it.

2005-10-20  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config.c: Fix a bug
	in the freeing of the NautilusActionsConfigAction object and
	don't send broken actions in the list returned by 
	nautilus_actions_config_get_actions()

2005-10-19  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions-module.c: Add GPL licence header 
	comment

	* utils/Makefile.am:
	* utils/nautilus-actions-new-config.c: Create the new config 
	creation tool in command line mode.

	* libnautilus-actions/nautilus-actions-config.c: Fix the copy of 
	GSList when setting schemes and basenames of an action.

	* libnautilus-actions/nautilus-actions-config-gconf-private.h: Fix
	the short description of the scheme entry in the Gconf Schemas

2005-10-17  Frederic Ruaudel <grumz@grumz.net> 

	* Makefile.am:
	* configure.in:
	* utils/Makefile.am:
	* utils/nautilus-actions-convert.c: Create a utils folder to put the 
	utilities program and code the old config conversion tool to convert old 
	xml file into GConf schemas.

	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Fix several bugs
	made during the first implementation


2005-10-13  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/Makefile.am: Add new file in the sources files
	list

	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-gconf-private.h: move
	Gconf element information in a common private headers.

	* libnautilus-actions/nautilus-actions-config-schema.c:
	* libnautilus-actions/nautilus-actions-config-schema.h: Add support 
	for GConf xml schema export

2005-10-06  Rodrigo Moya <rodrigo@novell.com>

	* nact/Makefile.am: don't link to libuuid here.

	* libnautilus-actions/Makefile.am: do it here.

	* libnautilus-actions/nautilus-actions-config.c
	(nautilus_actions_config_add_action): don't look for NULL uuids, in the
	hash table, and generate UUID for actions that don't have it.

2005-10-06  Rodrigo Moya <rodrigo@novell.com>

	* libnautilus-actions/nautilus-actions-config-xml.c
	(nautilus_actions_config_xml_get_type):
	* libnautilus-actions/nautilus-actions-config-gconf.c
	(nautilus_actions_config_gconf_get_type): base the class in
	NautilusActionsConfig, not GObject.

2005-10-06  Rodrigo Moya <rodrigo@novell.com>

	* libnautilus-actions/nautilus-actions-config-xml.c (remove_action):
	return a boolean, rather than NULL.
	(nautilus_actions_config_xml_get_config_files): use const gchar * for
	storing the value returned by g_dir_read_name().
	(nautilus_actions_config_xml_action_fill_test_basenames,
	nautilus_actions_config_xml_action_fill_test_scheme): pass const to
	g_ascii_strncasecmp().

	* libnautilus-actions/nautilus-actions-config-gconf.c (save_action,
	remove_action): return a boolean, rather than NULL.

2005-10-06  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions-test.c: Optimize the test function. 
	If the only basename is '*', then skip the pattern matching.

	* libnautilus-actions/Makefile.am:
	* libnautilus-actions/nautilus-actions-config-gconf.c:
	* libnautilus-actions/nautilus-actions-config-gconf.h:
	* libnautilus-actions/nautilus-actions-config-xml.c:
	* libnautilus-actions/nautilus-actions-config-xml.h:
	* libnautilus-actions/nautilus-actions-config.c:
	* libnautilus-actions/nautilus-actions-config.h: Refactor the code of 
	libnautilus-actions to add support for the old xml config file. It will 
	be used for convert utilities.

	* nact/nact-editor.c:
	* nact/nact-editor.h:
	* nact/nact.c:
	* plugin/nautilus-actions-test.c:
	* plugin/nautilus-actions-test.h:
	* plugin/nautilus-actions-utils.c:
	* plugin/nautilus-actions-utils.h:
	* plugin/nautilus-actions.c:
	* plugin/nautilus-actions.h: Change the rest of the code to use the new
	libnautilus-actions.

	* plugin/Makefile.am: Add a link to the libnautilus-actions library

	* plugin/nautilus-actions-config.h:
	* plugin/nautilus-actions-config.c: remove these files. They've
	been replaced by the libnautilus-actions

2005-10-03  Rodrigo Moya <rodrigo@novell.com>

	* libnautilus-actions/nautilus-actions-config.c (nautilus_config_remove_action):
	added missing implementation.

	* nact/nact.c (delete_button_clicked_cb): implemented.
	
2005-10-02  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: use 1.0 for the config format version.

2005-09-30  Frederic Ruaudel <grumz@grumz.net> 

	* libnautilus-actions/nautilus-actions-config.h:
	* libnautilus-actions/nautilus-actions-config.c: add action duplicate 
	function : nautilus_actions_config_action_dup ()

2005-09-30  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: define NAUTILUS_ACTIONS_CONFIG_VERSION.

	* libnautilus-actions/nautilus-actions-config.c (save_action): use
	NAUTILUS_ACTIONS_CONFIG_VERSION rather than the package version.

2005-09-30  Rodrigo Moya <rodrigo@novell.com>

	* nact/nact-editor.c (open_editor): connect to changes for all widgets, to
	enable/disable the OK button.
	(field_changed_cb): renamed from entry_changed_cb, to make it work with all
	widgets.

2005-09-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* libnautilus-actions/nautilus-actions-config.c (nautilus_actions_config_init):
	use PRELOAD_RECURSIVE in gconf_client_add_dir, since we load everything.

2005-09-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: removed generation of nautilus-actions-config script.

2005-09-29  Rodrigo Moya <rodrigo@gnome-db.org>

	* libnautilus-actions/Makefile.am:
	* libnautilus-actions/nautilus-actions-config.[ch]: added new dir
	for common code.

	* nact/nact.c:
	* nact/nact-editor.[ch]: new config tool, in C to be able to share code
	with the plugin.

	* nact/nautilus-actions-config.glade: removed old windows and added new
	dialogs.

	* nact/nautilus-actions-config.in: removed old config tool.

	* configure.in:
	* Makefile.am: added libnautilus-actions dir to build.
	
2005-09-29  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-09-21  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions-utils.c:
	* plugin/nautilus-actions.c: Fix the problem with x-nautilus-desktop
	scheme (Bug #110) and remove last compilation warnings

	* plugin/nautilus-actions-config.c:
	* plugin/nautilus-actions-config.h:
	* plugin/nautilus-actions.c: Fix the problem with GConf list for
	basenames and schemes list. Add updating of version in the notification
	func.

2005-09-20  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions-config.c:
	* plugin/nautilus-actions-config.h:
	* plugin/nautilus-actions-test.c:
	* plugin/nautilus-actions-utils.c:
	* plugin/nautilus-actions-utils.h:
	* plugin/nautilus-actions.h: 
	* plugin/nautilus-actions.c: Add GConf support (Feature #44) and
	remove unused code. Border side effect : almost no more compilation warnings

	* config/config_newaction.schemas.in.in: Add version information
	to manage future config changement and add missing list_type element
	for basename and scheme key.

	* plugin/nautilus-actions.c:
	* plugin/nautilus-actions.h: Initialized NautilusActions GObject
	and move all data initialization into it.

	* configure.in: Add prerequisite for GConf

2005-09-19  Frederic Ruaudel <grumz@grumz.net> 

	* nact/Makefile.am: Remove the suppression of nact.desktop.in as
	it is no more autogenerated.
	
	* po/README_TRANSLATORS: Add some information for translators

	* po/*.po:
	* po/nautilus-actions.pot: Update translations strings

	* configure.in:
	* config/Makefile.am:
	* po/POTFILES.in:
	* config/config_newaction.schemas.in.in: Add the GConf schemas for
	the new action config and configure it with i18n support.

2005-09-17  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions.c: 
	* plugin/nautilus-actions.h: Start migration of extensions data
	into the NautilusActions GObject.

	* nact/nautilus-actions-config.glade: 
	* nact/nautilus-actions-config.in: Fix alignment problem in NACT
	interface (Bug #105).

	* po/*.po:
	* po/nautilus-actions.pot: Update translations strings

	* po/POTFILES.in: Rename nact/nact.desktop.in.in into
	nact/nact.desktop.in because there is no need anymore for autotool var
	expansion

	* configure.in: Remove the generation of nact/nact.desktop.in
	because there is no need anymore for autotool var expansion

	* nact/nact.desktop.in.in:
	* nact/nact.desktop.in: Rename nact/nact.desktop.in.in into 
	nact/nact.desktop.in because there is no need anymore for autotool var
	expansion

	* nact/nautilus-actions-icon.png: 
	* nact/nautilus-actions-icon.xcf: Create a new nautilus actions icon

	* nact/nautilus-launch-icon.png: Remove the old nautilus actions icon

	* nact/Makefile.am: 
	* nact/nact.desktop.in.in: 
	* nact/nautilus-actions-config.glade: Replace the old icon by the new one

	* nact/nautilus-actions-config.glade: Update informations of the about
	dialog (license and project URL)


2005-09-17  Rodrigo Moya <rodrigo@novell.com> 

	* configure.in: define DEFAULT_CONFIG_PATH.

	* plugin/nautilus-actions-config.h: removed #define for DEFAULT_CONFIG_PATH.

	* plugin/nautilus-actions-config.c: include "config.h"

2005-09-16  Frederic Ruaudel <grumz@grumz.net> 
	
	* plugin/nautilus-actions-module.c: Fix macro name according to
	the changes made for GObject default macros

	* plugin/nautilus-actions.h: Add GObject missing default macros.

2005-09-15  Frederic Ruaudel <grumz@grumz.net> 

	* nact/nact.desktop.in.in: Make it fd.o compliant (Bug #109 and #100)
	
	* nact/nautilus-actions-config.in: Fix the problem with nact not starting
	when $LANG var not set (Bug #108)

2005-09-13  Frederic Ruaudel <grumz@grumz.net> 0.7

	* nact/nautilus-actions-config.in: Fix problem with new config creation

	* po/*.po:
	* po/nautilus-actions.pot:
	* nact/nautilus-actions-config.glade: Fix mistake in tooltip text, add
	information about Feature #73, add missed string and fix some problem in 
	the GUI.

	* nact/nautilus-actions-config.in:
	* plugin/nautilus-actions-config.h:
	* plugin/nautilus-actions-config.c:
	* plugin/nautilus-actions-test.c: Add the possibility to add several 
	file patterns (Feature #73). In NACT, add several file patterns separated
	by semi-colon ';'

	* configure.in: Update version number

	* nact/nautilus-actions-config.in: Fix problem with system wide config 
	overwritten by user not read correctly by NACT.

	* plugin/nautilus-actions-config.c:
	* nact/nautilus-actions-config.in: Add support for xml:lang in config
	files. For NACT, it is only for the reader part. If the config is saved with 
	NACT only the text of the current LANG will be saved.

	* po/*.po:
	* po/nautilus-actions.pot:
	* nact/nautilus-actions-config.in: Add missing strings in NACT (description
	of the schemes)

2005-09-12  Frederic Ruaudel <grumz@grumz.net> 
	
	* po/*.po: Fix Bad charset due to bad LANG setting when generated po
	files with msginit.

	* configure.in:
	* fr.po: Add German translation (Gabriel Meier <gabriel.meier@web.de>)

2005-09-10  Frederic Ruaudel <grumz@grumz.net> 

	* fr.po: Update French translation

	* configure.in:
	* nact/nact.desktop.in.in: Fix the problem with the icon path substitution 
	(Bug#100)	

	* nact/nautilus-actions-config.in:
	* nact/nautilus-actions-config.glade: Use dynamic sizing for label of 
	the config panel with SizeGroup to allow translation label text to display 
	correctly if they are longer than the original ones.

	* nact/nautilus-actions-config.in: fix compilation error relative to 
	i18n support

	* configure.in: Add LOCALEDIR in the list of @variable@ with AC_SUBST 
	for the python script 

	* config/Makefile.am: Fix the intltool replacement var in config_DATA

2005-09-09  Frederic Ruaudel <grumz@grumz.net> 
	* po/es.po: Update strings of Spanish translation

	* po/fr.po: Start French translation

	* nact/nautilus-actions-config.in: Add i18n support to nact

	* po/nautilus-actions.pot: Generate the translation message list file

	* configure.in: Remove useless dependencies and add French translation 
	in ALL_LINGUAS.

	* Makefile.am: add intltool tool in EXTRA_DIST options

	* po/POTFILES.in: Update list of files containing translatable strings.

	* nact/nautilus-actions-config.glade: Unmark untranslatable string in 
	glade (indent spaces, program name, etc.)

	* config/Makefile.am:
	* config/config_newaction.xml : 
	* config/config_newaction.xml.in: replace config/config_newaction.xml by 
	config/config_newaction.xml.in to add i18n support. And modify Makefile.am to 
	add intltool operations.

	* nact/nact.desktop.in.in: Add i18n support and fix the @autotools_vars@ 
	substitution. Still have problem with @datadir@ expanding in ${prefix}.

	* MAINTAINERS: Add the list of maintainers

	* README: Add information about the project

2005-09-07  Frederic Ruaudel <grumz@grumz.net> 0.6

	* plugin/nautilus-actions-utils.c: modify 
	nautilus_actions_utils_parse_parameter () to quote every filenames and 
	folder names and url decode Gnome-vfs URIs. Fix the problem
	about last characters of the paramters not set if the parameter string 
	don't finish by a %? pattern which cause the quote bug (Bug #32)

	* nact/nautilus-actions-config.in: Fix display of the example string in
	ParseParameters() function. The last character was missing if not a %? pattern.

	* nact/nautilus-actions-config.in: Fix problem with old config file 
	migration and add migration to the new folder (Bug #90)

	* nact/nautilus-actions-config.in:
	* plugin/nautilus-actions-config.h: change the default per user config 
	directory from ~/.config/.nautilus-actions to ~/.config/nautilus-actions.

	* nact/Makefile.am:
	* nact/nautilus-actions-config.in: Move nact files in nact subdir of 
	system wide config folder

	* config/config_newaction.xml:
	* nact/nact.desktop.in.in: Change name of the executable from nact to 
	nautilus-actions-config

	* README:
	* INSTALL: Add installation instructions

2005-09-06  Frederic Ruaudel <grumz@grumz.net> 

	* plugin/nautilus-actions-utils.c: modify 
	nautilus_actions_utils_parse_parameter () to use nautilus_file_info_get_name() 
	instead of gnome_vfs_uri_get_path () to avoid problem with url encoded 
	filenames (Bug #84)

	* configure.in : add a --with-nautilus-extdir option to the 
	./configure script. If this option is not used, it tries to use 
	the pkg-config command. If the result is empty, ./configure 
	write an error on the output asking to the user to
	use the option to determine the path manually and exit.

2005-09-02  Rodrigo Moya <rodrigo@novell.com> 

	* Makefile.am: removed templates dir from build.

	* nact/nautilus-actions-config.in: fixed paths.

	* nact/nautilus-actions-config.glade: renamed.

	* po/es,po: created correct stub file.

2005-09-01  Rodrigo Moya <rodrigo@novell.com> 

	* autogen.sh:
	* configure.in:
	* Makefile.am:
	* config/Makefile.am:
	* nact/Makefile.am:
	* plugin/Makefile.am: added auto* setup.

	* nact/nact.desktop.in:
	* nact/nautilus-actions-config.in: renamed.

	* po/*: added basic GETTEXT support.
	
	* plugin/*: moved plugin implementation to its own module.

* Wed Aug 31 2005 Frederic Ruaudel <grumz@grumz.net> 0.5
- Fix bug with special characters in new config name in nact #66
- Change the default per user folder config path to the one define 
by fd.o (~/.config/.nautilus-actions)
- In nact, create the per user config folder if it doesn't exist bug #59 
and move the old one if it exists to the new one.
- In nact fix the problem with Delete Config button that stay greyed after 
a deletion even after selecting another config.
- In NACT, add a confirm dialog with trying to close without saving the 
changes (bug #60)
- In nact, now display system wide config in read only mode and a Preference 
menu has been added to switch this display on or off
- In nact, in normal user mode, if a config is created with the same name as 
a system-wide one, it is overwritten (it already works for the extension 
since 0.4)
- In nact, fix a bug that prevent creating a new config with the same name 
as a just deleted one if save wasn't pressed between the two event. 

* Sun Aug 28 2005 Frederic Ruaudel <grumz@grumz.net> 0.4
- Add -fPIC option in the Makefile to make nautilus-actions compile on 
64bits arch
- Apply patch from Ed Catmur that add DESTDIR var in Makefile for gentoo ebuild
- Add the desktop file for nact submited by Ed Catmur
- Add per user config possibility. Per user config are saved by default 
in ~/.nautilus-actions
- NACT has been updated to manage per user config. If launch as normal user, 
it edit the user config and if launched as root, it manage system wide config.
- add LICENSE file of the GNU GPL License
- Update authors and contributors list
- Add more user friendly description of schemes in Nact.
- Add %M pattern for the parameters field which give the list of the files 
like %m but with full path 
- Modify NACT to add the %M option in the legend dialog and to take care of 
it in the example string
- In NACT, replace the buggy FileChooserButton with an Entry and a Browse 
Button.
- Add an action for launching nact from nautilus in the config folder and 
add it in install part of Makefile
- Add installation of nact desktop file in the Makefile
- Add some customization to the desktop file to insert value (version, icon) 
from the Makefile

* Fri Aug 19 2005 Frederic Ruaudel <grumz@grumz.net> 0.3
- Fix a bug in NACT when parsing 'accept-multiple-files' tags
- Remove a unused function

* Fri Aug 19 2005 Frederic Ruaudel <grumz@grumz.net> 0.2
- Add NACT the configuration GUI

* Thu Aug 12 2005 Frederic Ruaudel <grumz@grumz.net> 0.1
- First version
